[General]
    # output directories for renderings and composites
    # note that render_directory serves as input for compositor
    renderings_directory = ./examples/generated/renderings/
    composites_directory = ./examples/generated/composites/
    
    # program flow (checks for 'true', '1', 'yes', 'y' everything else means false)
    render = true
    compose = true


[Renderer]
    model_dir = ./examples/models/
    
    # specify the model to render, as well as a scale factor
    # the scale factor depends on how the model is saved. some use [mm] -> 0.001, some [m] -> 1
    model = ape.ply
    model_scale_factor = 0.001
    
    # todo
    # light settings
    
    # intrinsic camera parameters
    fx = 572.41140
    px = 325.26110
    fy = 573.57043
    py = 242.04899    

    # size of rendered images (should be coherent with camera parameters!)
    image_size_x = 640
    image_size_y = 480
    
    # if crop_images is set, rendered images are cropped to the bounding box of the visible part
    # this option simply saves memory and time for saving/loading image files
    crop_images = true
    
    # choose generator, see below for config
    camera_pose_generator = IcoSphereCameraPoseGenerator


[Renderer.RandomCameraPoseGenerator]
    # distances are integers in [cm]
    cam_distance_min = 70
    cam_distance_max = 90
    cam_distance_step = 5
    
    number_of_poses = 15
    rand_seed = 10
    
    
[Renderer.IcoSphereCameraPoseGenerator]
    
    ### properties of the icosphere
    
    # options to only use views from the upper or lower hemispheres
    upper_hemisphere = false
    lower_hemisphere = true
    
    # number of in-plane-rotations (uniformly distributed over 360 degree)
    in_plane_rotations = 1
    
    # number of times icosahedron will be subdivided
    # use 1 or 2, more subdivisions will yield exponentially more poses
    subdivisions = 0

    
    ### rendering distances
    
    # distances are integers in [cm]
    cam_distance_min = 90
    cam_distance_max = 110
    
    # if scales is set to 1, then max distance is ignored.
    # otherwise scales will be uniformly distributed between min and max.
    scales = 1    

    
[Compositor]
    bg_images_dir = ./examples/bg_images/
    objects_per_image = 4
    images_per_object = 2
    
    smooth_obj_boundaries = true
    
    image_size_x = 640
    image_size_y = 480
    
